classification
Title: small typo in http://docs.python.org/howto/doanddont.html
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder: Re-phrase best way of using exceptions in doanddont.rst
View: 9608
Assigned To: r.david.murray Nosy List: Adrián.Deccico, georg.brandl, r.david.murray
Priority: normal Keywords:

Created on 2010-04-24 14:25 by Adrián.Deccico, last changed 2010-09-07 23:06 by r.david.murray. This issue is now closed.

Messages (5)
msg104091 - (view) Author: Adrián Deccico (Adrián.Deccico) Date: 2010-04-24 14:25
Hi, in this document: 

Idioms and Anti-Idioms in Python

In the "except" section, where it says:

"The example above is better written"

it should said: 

"The example below is better written"
msg104092 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-04-24 14:35
The text is correct as-is; the meaning is "The example that is shown above is better written like this:".
msg104099 - (view) Author: Adrián Deccico (Adrián.Deccico) Date: 2010-04-24 16:56
Hi Georg,

Ok, so perhaps the text is a little confusing. Perhaps it would be a
good idea to add a colon or as you state the words "like this"

thanks

On Sat, Apr 24, 2010 at 4:35 PM, Georg Brandl <report@bugs.python.org> wrote:
>
> Georg Brandl <georg@python.org> added the comment:
>
> The text is correct as-is; the meaning is "The example that is shown above is better written like this:".
>
> ----------
> resolution:  -> works for me
> status: open -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue8518>
> _______________________________________
>
msg104101 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-04-24 16:57
I'll let an English native speaker decide how to best express this.
msg115816 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-09-07 23:06
I've included my take on this in my proposed patch for issue 9608.
History
Date User Action Args
2010-09-07 23:06:19r.david.murraysettype: behavior
superseder: Re-phrase best way of using exceptions in doanddont.rst
messages: + msg115816
stage: resolved
2010-04-24 16:58:00georg.brandlsetassignee: georg.brandl -> r.david.murray

messages: + msg104101
nosy: + r.david.murray
2010-04-24 16:56:23Adrián.Deccicosetmessages: + msg104099
2010-04-24 14:35:24georg.brandlsetstatus: open -> closed
resolution: works for me
messages: + msg104092
2010-04-24 14:25:25Adrián.Deccicocreate